unit Unit7;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, ComCtrls;

type
  TForm7 = class(TForm)
    MoveOnce: TButton;
    SetMovement: TButton;
    Defenders1: TGroupBox;
    Fighters1: TLabel;
    Bombers1: TLabel;
    Destroyers1: TLabel;
    Send_ships: TGroupBox;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Available1: TPanel;
    Available2: TPanel;
    Available3: TPanel;
    Label1: TLabel;
    NumSFighters: TTrackBar;
    NumSBombers: TTrackBar;
    NumSDestroyers: TTrackBar;
    NumDFighters: TTrackBar;
    numDBombers: TTrackBar;
    NumDDestroyers: TTrackBar;
    procedure FormCreate(Sender: TObject);
    procedure MoveOnceClick(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure SetMovementClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure NumSFightersChange(Sender: TObject);
    procedure numSBombersChange(Sender: TObject);
    procedure NumSDestroyersChange(Sender: TObject);
    procedure NumDFightersChange(Sender: TObject);
    procedure numDBombersChange(Sender: TObject);
    procedure NumDDestroyersChange(Sender: TObject);
    procedure NumSFightersStartDrag(Sender: TObject;
      var DragObject: TDragObject);
    procedure NumSBombersStartDrag(Sender: TObject;
      var DragObject: TDragObject);
    procedure NumSDestroyersStartDrag(Sender: TObject;
      var DragObject: TDragObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form7: TForm7;

implementation

uses Unit1, Unit3;

{$R *.DFM}

procedure TForm7.FormCreate(Sender: TObject);
begin
  Form1.NotFirstSize:=True;
  // Last created Form initiates Thread
  Thread:=MyThread.Create;
end;

procedure TForm7.MoveOnceClick(Sender: TObject);
begin
  if (Base[NSel].Owner=1) then begin
    Label1.Caption:='Move to...';
    MoveOrder:=True;
    TacticsOrder:=True;
    Form1.ShowTroops.Checked:=True;
    Form1.ShowTactics.Checked:=True;
  end;
end;

procedure TForm7.FormKeyPress(Sender: TObject; var Key: Char);
begin
  MyKeyHandler(Sender, Key);
end;

procedure TForm7.SetMovementClick(Sender: TObject);
begin
  if (Base[NSel].Troops.Race[1].Fighters<>0)
   or(Base[NSel].Troops.Race[1].Bombers<>0)
   or(Base[NSel].Troops.Race[1].Destroyers<>0) then begin
    Label1.Caption:='Move to...';
    MoveOrder:=True;
    Form1.ShowTroops.Checked:=True;
    Form1.ShowTactics.Checked:=True;
  end;
end;

procedure TForm7.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Form1.Orders1.Checked:=not Form1.Orders1.Checked;
end;

procedure TForm7.NumSFightersChange(Sender: TObject);
begin
  NumSelected:=True;
end;

procedure TForm7.NumSBombersChange(Sender: TObject);
begin
  NumSelected:=True;
end;

procedure TForm7.NumSDestroyersChange(Sender: TObject);
begin
  NumSelected:=True;
end;

procedure TForm7.NumDFightersChange(Sender: TObject);
begin
  Base[NSel].Defend.Fighters:=NumDFighters.Position;
  CheckBaseInfo;
end;

procedure TForm7.numDBombersChange(Sender: TObject);
begin
  Base[NSel].Defend.bombers:=NumDBombers.Position;
  CheckBaseInfo;
end;

procedure TForm7.NumDDestroyersChange(Sender: TObject);
begin
  Base[NSel].Defend.Destroyers:=NumDDestroyers.Position;
  CheckBaseInfo;
end;

procedure TForm7.NumSFightersStartDrag(Sender: TObject;
  var DragObject: TDragObject);
begin
  NumSelected:=True;
end;

procedure TForm7.NumSBombersStartDrag(Sender: TObject;
  var DragObject: TDragObject);
begin
  NumSelected:=True;
end;

procedure TForm7.NumSDestroyersStartDrag(Sender: TObject;
  var DragObject: TDragObject);
begin
  NumSelected:=True;
end;

end.
